Index: code/branches/HUD_HS16/data/gui/layouts/CampaignMenu.layout
===================================================================
--- code/branches/HUD_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/layouts/CampaignMenu.layout	(revision 11499)
@@ -8,161 +8,81 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-
-        <!-- Misson 1************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission1Button" >
             <Property Name="Text" Value="Mission One" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.6,0},{0.3,0},{0.65,0}}" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.1,0},{0.65,0},{0.15,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
         </Window>
-
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission1Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Button" >
+            <Property Name="Text" Value="Fight in our Back" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.25,0},{0.95,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission1Button_clicked"/>
-        </Window>
-
-        <!-- Misson 2************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission2Text" >
-            <Property Name="Text" Value="Fight in our Back" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.6,0},{0.55,0},{0.65,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.18,0},{0.65,0},{0.23,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
         </Window>
-
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission2Button" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Button" >
+            <Property Name="Text" Value="Pirate Attack" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.5,0},{0.85,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission2Button_clicked"/>
-        </Window>
-
-        <!-- Misson 3************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission3Text" >
-            <Property Name="Text" Value="Pirate Attack" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.75,0},{0.8,0},{0.8,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.26,0},{0.65,0},{0.31,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission3Button" >
-
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Button" >
+            <Property Name="Text" Value="Trip to Area 51" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.685,0},{0.605,0},{0.75,0},{0.71,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission3Button_clicked"/>
-        </Window>
-
-        <!-- Misson 4************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission4Text" >
-            <Property Name="Text" Value="Trip to Area 51" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.575,0},{0.5,0},{0.775,0},{0.55,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.34,0},{0.65,0},{0.39,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission4Button" >
-
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Button" >
+            <Property Name="Text" Value="Area 51 under Fire" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.78,0},{0.48,0},{0.87,0},{0.59,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission4Button_clicked"/>
-        </Window>
-
-        <!-- Misson 5************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission5Text" >
-            <Property Name="Text" Value="Area 51 under Fire" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.625,0},{0.4,0},{0.825,0},{0.45,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.42,0},{0.65,0},{0.47,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission5Button" >
-
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Button" >
+            <Property Name="Text" Value="Escape the Bastards" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.725,0},{0.27,0},{0.775,0},{0.37,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission5Button_clicked"/>
-        </Window>
-
-        <!-- Misson 6************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission6Text" >
-            <Property Name="Text" Value="Escape the Bastards" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.1,0},{0.725,0},{0.15,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.50,0},{0.65,0},{0.55,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
         </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission6Button" >
-
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Button" >
+            <Property Name="Text" Value="Expedition to Sector 5C" />
             <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.17,0},{0.65,0},{0.27,0}}" />
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission6Button_clicked"/>
-        </Window>
-
-        <!-- Misson 7************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission7Text" >
-            <Property Name="Text" Value="Expedition to Sector 5C" />
-            <Property Name="Visible" Value="False"/>
-            <Property Name="Disabled" Value="True" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.025,0},{0.6,0},{0.075,0}}" />
-        </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission7Button" >
-
-            <Property Name="Visible" Value="False"/>
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.47,0},{0.13,0},{0.525,0},{0.23,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.58,0},{0.65,0},{0.63,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission7Button_clicked"/>
         </Window>
-
-        <!-- Misson 8************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission8Button" >
             <Property Name="Text" Value="Shuttle under Attack" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="Disabled" Value="True" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2,0},{0.45,0},{0.25,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
-        </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission8Button" >
-
-            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.33,0},{0.1,0},{0.38,0},{0.18,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.66,0},{0.65,0},{0.71,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission8Button_clicked"/>
         </Window>
-
-        <!-- Misson 9************************************* -->
-        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Text" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/Mission9Button" >
             <Property Name="Text" Value="Retaliation" />
             <Property Name="Visible" Value="False"/>
-            <Property Name="Disabled" Value="True" />
-            <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.145,0},{0.3,0},{0.195,0}}" />
-            <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
-        </Window>
-        <Window Type="MenuWidgets/JuuButton" Name="orxonox/Mission9Button" >
-
-            <Property Name="Visible" Value="False"/>
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.18,0},{0.07,0},{0.24,0},{0.145,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.74,0},{0.65,0},{0.79,0}}" />
             <Property Name="Disabled" Value="True" />
             <Event Name="Clicked" Function="CampaignMenu.Mission9Button_clicked"/>
         </Window>
 
-        <!-- Back Button************************************* -->
+
         <Window Type="MenuWidgets/Button" Name="orxonox/CampaignMenuBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.75,0},{0.9,0},{0.95,0},{0.95,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.35,0},{0.85,0},{0.65,0},{0.9,0}}" />
             <Event Name="Clicked" Function="CampaignMenu.CampaignMenuBackButton_clicked"/> 
         </Window>
Index: code/branches/HUD_HS16/data/gui/layouts/MainMenu.layout
===================================================================
--- code/branches/HUD_HS16/data/gui/layouts/MainMenu.layout	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/layouts/MainMenu.layout	(revision 11499)
@@ -11,5 +11,5 @@
             <Property Name="Text" Value="Quickstart" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.25,0},{0.6,0},{0.3,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.2875,0},{0.6,0},{0.3375,0}}" />
             <Event Name="Clicked" Function="MainMenu.QuickGameTestButton_clicked"/>
         </Window>
@@ -17,5 +17,5 @@
             <Property Name="Text" Value="Singleplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.325,0},{0.6,0},{0.375,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.3625,0},{0.6,0},{0.4125,0}}" />
             <Event Name="Clicked" Function="MainMenu.SingleplayerButton_clicked"/>
         </Window>
@@ -23,17 +23,11 @@
             <Property Name="Text" Value="Multiplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4,0},{0.6,0},{0.45,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.4375,0},{0.6,0},{0.4875,0}}" />
             <Event Name="Clicked" Function="MainMenu.MultiplayerButton_clicked"/>
-        </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/HighscoreButton" >
-            <Property Name="Text" Value="Highscore" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.475,0},{0.6,0},{0.525,0}}" />
-            <Event Name="Clicked" Function="MainMenu.HighscoreButton_clicked"/>
         </Window>
         <Window Type="MenuWidgets/Button" Name="orxonox/SettingsButton" >
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.55,0},{0.6,0},{0.6,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5125,0},{0.6,0},{0.5625,0}}" />
             <Event Name="Clicked" Function="MainMenu.SettingsButton_clicked"/>
         </Window>
@@ -41,5 +35,5 @@
             <Property Name="Text" Value="Credits" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.625,0},{0.6,0},{0.675,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.5875,0},{0.6,0},{0.6375,0}}" />
             <Event Name="Clicked" Function="MainMenu.CreditsButton_clicked"/>
         </Window>
@@ -47,5 +41,5 @@
             <Property Name="Text" Value="Exit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.7,0},{0.6,0},{0.75,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
             <Event Name="Clicked" Function="MainMenu.ExitButton_clicked"/>
         </Window>
Index: code/branches/HUD_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- code/branches/HUD_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11499)
@@ -40,5 +40,3 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
-
-    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/HUD_HS16/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/branches/HUD_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/schemes/OrxonoxLook.scheme	(revision 11499)
@@ -50,8 +50,4 @@
     <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
     <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"         LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
-
-    <!-- Special Button for CampaignMenu -->
-    <FalagardMapping WindowType="OrxonoxLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/JuuButton" />
-
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
 </GUIScheme>
Index: code/branches/HUD_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme
===================================================================
--- code/branches/HUD_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11499)
@@ -40,5 +40,3 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
-
-    <WindowAlias Alias="MenuWidgets/JuuButton"                Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/branches/HUD_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme
===================================================================
--- code/branches/HUD_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11499)
@@ -40,5 +40,3 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
-
-     <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/HUD_HS16/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- code/branches/HUD_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/schemes/TaharezGreenLook.scheme	(revision 11499)
@@ -51,6 +51,3 @@
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
-
-    <!-- Special Button for CampaignMenu -->
-    <FalagardMapping WindowType="TaharezGreenLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/HUD_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- code/branches/HUD_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11499)
@@ -40,5 +40,3 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
-
-        <WindowAlias Alias="MenuWidgets/JuuButton"                Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/branches/HUD_HS16/data/gui/scripts/CampaignMenu.lua
===================================================================
--- code/branches/HUD_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/scripts/CampaignMenu.lua	(revision 11499)
@@ -9,21 +9,12 @@
 function P.updateButtons()
     P.updateButton(0, winMgr:getWindow("orxonox/Mission1Button"))
-    P.updateButton(0, winMgr:getWindow("orxonox/Mission1Text"))
     P.updateButton(1, winMgr:getWindow("orxonox/Mission2Button"))
-    P.updateButton(1, winMgr:getWindow("orxonox/Mission2Text"))
     P.updateButton(2, winMgr:getWindow("orxonox/Mission3Button"))
-    P.updateButton(2, winMgr:getWindow("orxonox/Mission3Text"))
     P.updateButton(3, winMgr:getWindow("orxonox/Mission4Button"))
-    P.updateButton(3, winMgr:getWindow("orxonox/Mission4Text"))
     P.updateButton(4, winMgr:getWindow("orxonox/Mission5Button"))
-    P.updateButton(4, winMgr:getWindow("orxonox/Mission5Text"))
     P.updateButton(5, winMgr:getWindow("orxonox/Mission6Button"))
-    P.updateButton(5, winMgr:getWindow("orxonox/Mission6Text"))
     P.updateButton(6, winMgr:getWindow("orxonox/Mission7Button"))
-    P.updateButton(6, winMgr:getWindow("orxonox/Mission7Text"))
     P.updateButton(7, winMgr:getWindow("orxonox/Mission8Button"))
-    P.updateButton(7, winMgr:getWindow("orxonox/Mission8Text"))
     P.updateButton(8, winMgr:getWindow("orxonox/Mission9Button"))
-    P.updateButton(8, winMgr:getWindow("orxonox/Mission9Text"))
 
 
@@ -106,5 +97,5 @@
 
 function P.loadLevel(level)
-    orxonox.execute("changeGame " .. level:getXMLFilename())
+    orxonox.execute("startGame " .. level:getXMLFilename())
     hideAllMenuSheets()
 end
@@ -127,6 +118,5 @@
 
 function P.CampaignMenuBackButton_clicked(e)
-    orxonox.execute("startMainMenu")
-    hideMenuSheet("CampaignMenu")
+    hideMenuSheet(P.name)
 end
 
Index: code/branches/HUD_HS16/data/gui/scripts/MainMenu.lua
===================================================================
--- code/branches/HUD_HS16/data/gui/scripts/MainMenu.lua	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/scripts/MainMenu.lua	(revision 11499)
@@ -2,5 +2,5 @@
 
 local P = createMenuSheet("MainMenu")
-P.loadAlong = { "SingleplayerMenu", "MultiplayerMenu", "HighscoreMenu", "SettingsMenu", "CreditsMenu" }
+P.loadAlong = { "SingleplayerMenu", "MultiplayerMenu", "SettingsMenu", "CreditsMenu" }
 
 function P.onLoad()
@@ -22,19 +22,14 @@
 
     P:setButton(4, 1, {
-            ["button"] = winMgr:getWindow("orxonox/HighscoreButton"),
-            ["callback"]  = P.MultiplayerButton_clicked
-    })
-
-    P:setButton(5, 1, {
             ["button"] = winMgr:getWindow("orxonox/SettingsButton"),
             ["callback"]  = P.SettingsButton_clicked
     })
 
-    P:setButton(6, 1, {
+    P:setButton(5, 1, {
             ["button"] = winMgr:getWindow("orxonox/CreditsButton"),
             ["callback"]  = P.CreditsButton_clicked
     })
 
-    P:setButton(7, 1, {
+    P:setButton(6, 1, {
             ["button"] = winMgr:getWindow("orxonox/ExitButton"),
             ["callback"]  = P.ExitButton_clicked
@@ -56,8 +51,4 @@
 end
 
-function P.HighscoreButton_clicked(e)
-    showMenuSheet("HighscoreMenu", true)
-end
-
 function P.SettingsButton_clicked(e)
     showMenuSheet("SettingsMenu", true)
Index: code/branches/HUD_HS16/data/gui/scripts/MiscConfigMenu.lua
===================================================================
--- code/branches/HUD_HS16/data/gui/scripts/MiscConfigMenu.lua	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/scripts/MiscConfigMenu.lua	(revision 11499)
@@ -18,5 +18,4 @@
 
     P.commandList = {}
-    table.insert(P.commandList, "Highscore playerName_")
     table.insert(P.commandList, "KeyBinder mouseSensitivity_")
     table.insert(P.commandList, "KeyBinder mouseSensitivityDerived_")
@@ -44,5 +43,4 @@
 
     P.nameList = {}
-    table.insert(P.nameList, "Playername")
     table.insert(P.nameList, "Mouse sensitivity")
     table.insert(P.nameList, "Mouse acceleration")
Index: code/branches/HUD_HS16/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/HUD_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11497)
+++ code/branches/HUD_HS16/data/gui/scripts/SingleplayerMenu.lua	(revision 11499)
@@ -172,7 +172,5 @@
 
 function P.CampaignButton_clicked(e)
-    -- showMenuSheet("CampaignMenu", true)
-    hideAllMenuSheets()
-    orxonox.execute("startGame StoryModeMap.oxw")
+    showMenuSheet("CampaignMenu", true)
 end
 
